@import 'src/assets/scss/_variables';
@import 'src/assets/scss/_mixins';
.footer {
    display: flex;
    flex-direction: column;
    background: #F7F7F7;
    height: 13rem;
    align-items: center;
    color: #000000;
    position: relative;
    z-index: 100;
    .spacer {
        width: 100%;
        height: 0.3rem;
        background: radial-gradient(58.87% 58.87% at 41.3% 108.87%, #FFE8AD 0%, rgba(253, 173, 255, 0) 100%), radial-gradient(50% 322.5% at 100% 0%, #40E998 0%, rgba(64, 233, 152, 0) 100%), radial-gradient(56.45% 356.01% at 0% 0%, #B8BCE4 0%, rgba(184, 188, 228, 0) 100%);
    }
    .contactData {
        width: 94rem;
        height: 3.6rem;
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 5.3rem;
        .subTitle {
            font-style: normal;
            font-weight: 700;
            font-size: 1.6rem;
            line-height: 2.7rem;
            margin: 0 4.7rem 0 0;
        }
        .webHide {
            display: none;
        }
        .item {
            font-style: normal;
            font-weight: 300;
            font-size: 1.2rem;
            line-height: 2rem;
            margin: 0 4.7rem 0 0;
            a {
                color: #000000;
                text-decoration: none;
                padding: 0.8rem 1.8rem;
                border-radius: 17.9rem;
                display: flex;
                align-items: center;
                &:hover {
                    background: #FFFFFF;
                }
                &:before {
                    content: '';
                    height: 2rem;
                    width: 2rem;
                    display: inline-block;
                    margin: 0 0.8rem 0 0;
                }
                &.linkedIn:before {
                    width: 1.5rem;
                    background: transparent url('../../../assets/linkedin.svg') no-repeat 50% 50%;
                }
                &.email:before {
                    width: 1.8rem;
                    background: transparent url('../../../assets/mail.svg') no-repeat 50% 50%;
                }
                &.gitlab:before {
                    width: 2rem;
                    background: transparent url('../../../assets/gitlab.svg') no-repeat 50% 50%;
                }
            }
            &:last-child {
                margin: 0;
            }
        }
    }
}

@media print {
    .footer {
        display: block;
        background: transparent;
        height: auto;
        align-items: center;
        color: #000000;
        position: absolute;
        z-index: 100;
        left: 6rem;
        top: 10.5rem;
        .spacer {
            display: none;
        }
        .contactData {
            width: auto;
            height: auto;
            margin: 0;
            flex-direction: row-reverse;
            .subTitle {
                display: none;
            }
            .item {
                display: none;
            }
            .print {
                display: inline-block;
                font-weight: 400;
                font-size: 0.8rem;
                line-height: 1.44rem;
                margin: 0 3.6rem 0 0;
                a {
                    padding: 0;
                    &:hover {
                        background: transparent;
                    }
                    &:before {
                        display: none;
                    }
                }
                &:last-child {
                    display: none;
                }
            }
        }
    }
}